Bug 147929 - DVD-recorder does not recognize DVD
DVD-recorder does not recognize DVD
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-13 07:05 EST by Marc Saric
Modified: 2015-01-04 17:16 EST (History)
5 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-30 21:17:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Saric 2005-02-13 07:05:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
FC3 with Gnome desktop fails to automount DVDs on Plextor PX-712A,
instead the Nautilus DVD-burning-tool is started (assuming an empty
DVD-R?).

/var/log/messages says:

Feb 13 11:46:57 belushi kernel: cdrom: This disc doesn't have any
tracks I recognize!

However, the same DVD can be mounted/read manually ("mount /dev/dvd
/media/dvd" or "~/media/cdrecorder") on the same system. 

In adition, the same DVD is beeing recognized/automounted if a CD is
inserted/automounted into the same DVV-recorder first:

(Comments are pseudo-xml-tags :-) )

<fresh reboot>
<insert dvd in plextor>
Feb 13 11:50:03 belushi kernel: cdrom: This disc doesn't have any
tracks I recognize!
</insert dvd in plextor>
<insert cd in plextor>
Feb 13 11:50:48 belushi kernel: cdrom: hda: mrw address space DMA selected
Feb 13 11:50:48 belushi kernel: SELinux: initialized (dev hda, type
iso9660), uses genfs_contexts
</insert cd in plextor>
<insert dvd in plextor again>
Feb 13 11:51:47 belushi kernel: SELinux: initialized (dev hda, type
iso9660), uses genfs_contexts
</insert dvd in plextor again>
</fresh reboot>

I recorded this bug for udev, because I believe, that the underlying
kernel, mount, filesystem-stuff is in principle ok (otherwise no
manual mount). I'm not shure if it is really an udev issue.

Version-Release number of selected component (if applicable):
udev-039-10.FC3.6

How reproducible:
Always

Steps to Reproduce:
1. Boot PC
2. Insert DVD in ATAPI-DVD-recorder (not recognized)
3. Remove DVD from ATAPI-DVD-recorder
4. Insert CD in ATAPI-DVD-recorder (will be recognized)
5. Remove CD from ATAPI-DVD-recorder
6. Insert DVD in ATAPI-DVD-recorder (will be recognized)
7. Remove DVD from ATAPI-DVD-recorder

Actual Results:  DVD is not recognized at first
After CD has been inserted, recognized, DVDs are beeing recognized as
well.
After next reboot, it again does not recognize DVDs.

Expected Results:  DVDs should always be recognized/automounted.

Additional info:

Hardware:

CPU:  Athlon 64 3200+
MoBo: ASUS K8N (NVIDIA nForce3 250) 
HD:   S-ATA SP1614C (160,0 GB)
Gfx:  nVidia GeForce 6600GT + nVidia-drivers
DVD:  Plextor PX-712A (DVD�R/RW) (ATAPI, not S-ATA!)
Plextor DVD-Recorder is only removable media in system

FC3:
Linux belushi.fww.lan 2.6.9-1.681_FC3 #1 Thu Nov 18 15:10:10 EST 2004
i686 athlon i386 GNU/Linux

Running 32bit FC3! not 64bit!!
Comment 1 Harald Hoyer 2005-02-14 05:28:56 EST
what does this have to do with udev??
Comment 2 Marc Saric 2005-02-14 05:45:31 EST
As I said, I am not shure, maybe this has nothing to do with udev, but
it is definitely a bug concerning automounting/autodetection of
external media. 

Sorry for posting it to the wrong section.
Comment 3 David Zeuthen 2005-03-21 14:18:28 EST
This sounds like a bug with either your optical drive or the driver for it not
initialising it correctly. Reassigning to the kernel.
Comment 4 Dave Jones 2005-07-15 15:07:03 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Marc Saric 2005-08-07 07:05:55 EDT
Installed kernel-2.6.12-1.1372_FC3 but the bug still remains (somewhat :-).

Instead of opening the DVD-burn-utility, it displays a DVD-Icon, but the content
o f the DVD can not be viewed in the filemanager.

If I do steps 5 - 7, the old behaviour remains.
Comment 6 Dave Jones 2006-01-16 17:31:57 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 7 Dave Jones 2006-02-03 01:14:19 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 8 John Thacker 2006-05-04 09:19:47 EDT
Closing per previous comment.
Comment 9 Marc Saric 2006-10-27 04:57:34 EDT
Installed a clean FC6 on the same machine mentioned in the first post and the
problem is still there. I did an update of the firmware to the most recent
release from Plextor, but it did not help. DVD works flawlessly under Windows
Vista RC1, so it might be a driver-problem.
Comment 10 Andre Robatino 2006-10-30 00:02:30 EST
  I have a specific video DVD which has issues with FC6.  On my newest machine
with a clean install of FC6, but using the same DVD drive that was able to play
the DVD flawlessly when I originally bought it, the DVD doesn't even mount. 
There are no error messages at all in /var/log/messages.  On an older machine
with a newer, cheaper DVD drive, the DVD mounts, but attempting to play it in
xine causes it to hang at the DVD menu.  Again, no error messages.  I can play
individual tracks with mplayer, but the picture is scratchy and it uses almost
100% CPU, which it shouldn't.  Other DVDs cause no problems on either machine. 
Possibly related is the fact that on the older machine, and on one even older
than that (too old to play DVDs), there are /dev/hdc error messages on bootup,
though the drives can read CDs just fine.  I haven't tried burning any CDs on
any of the machines yet.
Comment 11 Marc Saric 2007-12-06 16:21:41 EST
This bug has been solved with FC8, so it seems to be related to the updated
handling of external media.
Comment 12 Jon Stanley 2007-12-30 21:17:15 EST
Closing per comment #11.  Feel free to reopen if the problem recurs.

Note You need to log in before you can comment on or make changes to this bug.